<template>
  <div>
    <v-row>
      <v-col
        cols=12
        md=3
      >
      <v-row justify="center">
        <v-col style="max-width: 250px" class="mt-n3">
          <ProfileAvatarCard
            :avatarURL="userStore.user.photoURL"
          />
        </v-col>
        <v-col class="mt-n3">
          <ProfileContactInfoCard
            :email="userStore.user.email"
            :phone="userStore.user.phone"
        />
        </v-col>
      </v-row>
      </v-col>
      <v-col
        cols=12
        md=9
      >
        <ProfileInfoCard
          :user="userStore.user"
          :organization="organizationStore.organization"
          :group="groupStore.group"
        />
      </v-col>
    </v-row>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';
import { getModule } from 'vuex-module-decorators';
import UserModule from '@/store/modules/users';
import OrganizationModule from '@/store/modules/organizations';
import GroupModule from '@/store/modules/groups';
import { IUser } from '@/interfaces.ts';
import ProfileAvatarCard from '@/components/profileAvatarCard.vue';
import ProfileContactInfoCard from '@/components/profileContactInfoCard.vue';
import ProfileInfoCard from '@/components/profileInfoCard.vue';

@Component({ components: { ProfileInfoCard, ProfileAvatarCard, ProfileContactInfoCard } })
export default class Home extends Vue {
  private userStore: UserModule = getModule(UserModule, this.$store);
  private organizationStore: OrganizationModule = getModule(OrganizationModule, this.$store);
  private groupStore: GroupModule = getModule(GroupModule, this.$store);
}
</script>
